> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dintero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# External payment method

> Use Dintero Checkout Express to collect customer details only, while you handle payment processing yourself with a configurable external payment option.

Checkout can be used to create a session to collect customer details without initiating payment processing.\

It can be used by merchants who want to use the Dintero Checkout to collect customer details while handling the rest of the payment process themselves.

> [!NOTE]
>
> * External payment method is only supported by Dintero Checkout Express sessions as it requires collection of customer details.
> * It is required to set labels on the payment option in order for Checkout to display the payment method correctly.

### Collect shopper info flow

When the payer loads the checkout they get the option to select the external payment method denoted by your own custom
payment method label after they have entered their customer details, as shown below:

![Express payment option](https://mintcdn.com/dintero-c3a7bfec/TiCvqt4VXcXnNQNe/docs/assets/checkout/express-payment-option.png?fit=max\&auto=format\&n=TiCvqt4VXcXnNQNe\&q=85\&s=7d3cafab2bb0437edad13907856bf088)

If the payer selects the payment method denoted by your custom payment method label, they are presented with your own title, description and your custom pay button that you have configured the session with.

![Express payment option revealed](https://mintcdn.com/dintero-c3a7bfec/TiCvqt4VXcXnNQNe/docs/assets/checkout/express-payment-revealed.png?fit=max\&auto=format\&n=TiCvqt4VXcXnNQNe\&q=85\&s=ab221487b79bd144564074ae837e39c9)

When the payer proceeds with this option, they will be redirected to the `return_url` set on the session and the payer info will
have been collected by Checkout.

A transaction with the status `ON_HOLD` will be created from the payment request, which the merchant can
later authorize in order to capture, refund or cancel the payment from Backoffice.

![Express payment transaction](https://mintcdn.com/dintero-c3a7bfec/TiCvqt4VXcXnNQNe/docs/assets/checkout/express-payment-transaction.png?fit=max\&auto=format\&n=TiCvqt4VXcXnNQNe\&q=85\&s=c9707f9c70cfc60a90d5484ad6609d5b)

### Example request

An example request for creating a session with external payment enabled is shown below:

```http theme={null}
POST https://api.dintero.com/v1/accounts/{account_id}/payments/sessions-profile
Authorization: Bearer <token>
Content-Type: application/json

{
  "url": {
    "return_url": "https://example.com/accept",
    "callback_url": "https://example.com/callback?method=GET",
    "merchant_terms_url": "https://example.com/terms.html"
  },
  "order": {
    "amount": 10000,
    "currency": "NOK",
    "items": [
      {
        "id": "123",
        "name": "Product 1",
        "quantity": 1,
        "unit_price": 10000
      }
    ],
    "merchant_reference": "string"
  },
  "profile_id": "<PROFILE>",
  "configuration": {
    "active_payment_types": { "enabled": true },
    "dintero": {
      "type": "payment_type",
      "external": {
        "type": "payment_product_type",
        "enabled": true,
        "payability": "payable",
        "display": {
          "payment_method_label": "Pay Later",
          "button_label": "Place order",
          "content": {
            "title": "Register the payment first, then pay later",
            "description": "You will receive an email to complete the payment"
          }
        }
      }
    }
  },
  "express": {
    "shipping_options": [
      {
        "id": "Delivery.1234",
        "vat": 0,
        "title": "Delivery address",
        "amount": 0,
        "line_id": "Delivery.1234_1",
        "operator": "Delivery Operator",
        "vat_amount": 0,
        "delivery_method": "delivery",
        "pick_up_address": {
            "country": "NO",
            "first_name": "Payee",
            "postal_code": "0000",
            "address_line": "Address 1",
            "postal_place": "OSLO",
            "phone_number": "12345678"
        }
      }
    ]
  },
  "merchant": {
    "name": "string",
    "logo_url": "http://example.com"
  }
}
```

### Adjusting custom properties

You can adjust the custom properties of the external payment method in the Backoffice by navigating to your payment profile settings under `Dintero External`.

![External payment settings](https://mintcdn.com/dintero-c3a7bfec/TiCvqt4VXcXnNQNe/docs/assets/backoffice/external-config.png?fit=max\&auto=format\&n=TiCvqt4VXcXnNQNe\&q=85\&s=aad3f2f36d2bca37448886a2a4542db0)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.